> For the complete documentation index, see [llms.txt](https://developer.workdigital.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.workdigital.io/web-api/untitled/authorization-code-flow.md).

# Authorisation Code Flow

Authorisation Code Flow is a two step process :&#x20;

1. Get authorisation code by making a GET request as below to the authorize URL - once the request is successful, you will receive an Authorizarion Code to your callback URL
2. Exchange Authorisation Code obtained in above step for an Access token using [Token (Auth Code Flow)](/web-api/untitled/token-auth-code-flow.md)

{% hint style="info" %}
Authorises API request using Oauth 2.0 Authorization Code Flow
{% endhint %}

URL : `/api/v1/oauth2/authorize`\
Method : `GET`

### Parameters

*`client_id`* (**required**)\
Your application client id

*`response_type`* (**required**)\
Use the value as “code”

*`state`* (**required**)\
Any random string to prevent from CSRF

*`redirect_uri`* (optional)\
Endpoint to handle authorisation response

### Sample Request

`curl https://my.worksmart.app/api/v1/oauth2/authorize?client_id=ibl90vqe9ll5198ss53v1b1knpk4fhacv4y7uzpa.worksmart.net&response_type=code&state=aozcah`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.workdigital.io/web-api/untitled/authorization-code-flow.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
